Loading...
Searching...
No Matches
Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::TypedScalarSampleData< T > Class Template Reference
Inheritance diagram for Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::TypedScalarSampleData< T >:
[legend]
Collaboration diagram for Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::TypedScalarSampleData< T >:
[legend]

## Public Member Functions

| TypedScalarSampleData (size_t N)
virtual void | setToDefault ()
virtual void | copyFrom (const void *iData)
virtual bool | equalTo (const void *iData) const
virtual bool | equalEpsilon (const void *iData, double iEpsilon) const
virtual bool | lessThan (const void *iData) const
virtual const void * | getData () const

## Protected Attributes

std::vector< T > | m_data

## Member Function Documentation

## copyFrom()

template<class T>

virtual void Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::TypedScalarSampleData< T >::copyFrom | ( | const void * | iData | ) |

inlinevirtual

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarSample::Data.

## equalEpsilon()

template<class T>

virtual bool Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::TypedScalarSampleData< T >::equalEpsilon | ( | const void * | iData,
|  | double | iEpsilon ) const

inlinevirtual

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarSample::Data.

## equalTo()

template<class T>

virtual bool Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::TypedScalarSampleData< T >::equalTo | ( | const void * | iData | ) | const

inlinevirtual

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarSample::Data.

## getData()

template<class T>

virtual const void * Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::TypedScalarSampleData< T >::getData | ( |  | ) | const

inlinevirtual

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarSample::Data.

## lessThan()

template<class T>

virtual bool Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::TypedScalarSampleData< T >::lessThan | ( | const void * | iData | ) | const

inlinevirtual

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarSample::Data.

## setToDefault()

template<class T>

virtual void Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::TypedScalarSampleData< T >::setToDefault | ( |  | ) |

inlinevirtual

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarSample::Data.

The documentation for this class was generated from the following file:

- AbcCoreAbstract/ScalarSample.cpp